class CreateUsers < ActiveRecord::Migration[7.1]
  def change
    create_table :users do |t|
      t.text  :email, :password_digest, :firstname, :lastname, :title, :phone, :description
      t.enum  :role, enum_type: :user_roles, default: :user
      t.datetime :enabled_at, :last_logon_at
      t.timestamps

      t.index :email
    end
  end
end
